> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Get tier group

GET https://api.brevo.com/v3/loyalty/tier/programs/{pid}/tier-groups/{gid}

Returns tier group information.

Reference: https://developers.brevo.com/reference/get-tier-group

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Path parameters

- `pid` (string, required) — Loyalty Program ID
- `gid` (string, required) — Tier group ID

### Query parameters

- `version` (enum, optional, default: draft) — Select active to retrieve active version of tier group. Select draft to retrieve latest changes in tier group.
  - Allowed values: `active`, `draft`

## Response

### 200

Tier group information successfully retrieved

- `createdAt` (datetime, optional) — Timestamp when the tier group was created
- `downgradeStrategy` (enum, optional, default: real_time) — Select real_time to downgrade tier on real time balance updates. Select membership_anniversary to downgrade tier on subscription anniversary. Select tier_anniversary to downgrade tier on tier anniversary.
  - Allowed values: `real_time`, `membership_anniversary`, `tier_anniversary`
- `id` (string, optional) — Tier group unique identifier
- `loyaltyProgramId` (string, optional) — Associated loyalty program Id
- `name` (string, optional) — Tier group name
- `tierOrder` (list of string, optional) — Order of the tiers in the group in ascending order
- `updatedAt` (datetime, optional) — Timestamp when the tier group was last updated
- `upgradeStrategy` (enum, optional, default: real_time) — Select real_time to upgrade tier on real time balance updates. Select membership_anniversary to upgrade tier on subscription anniversary. Select tier_anniversary to upgrade tier on tier anniversary.
  - Allowed values: `real_time`, `membership_anniversary`, `tier_anniversary`
- `upgradeSchedule` (object, optional) — Schedule configuration for tier upgrades.
  - `strategy` (string, optional) — Schedule strategy type.
  - `durationValue` (integer, optional) — Duration value for the schedule.
  - `durationUnit` (enum, optional) — Duration unit for the schedule.
    - Allowed values: `day`, `week`, `month`, `year`
  - `durationModifier` (enum, optional) — Modifier for the duration.
    - Allowed values: `start_of_period`, `end_of_period`
  - `scheduledDate` (string, optional) — Scheduled date in DD/MM format.
- `downgradeSchedule` (object, optional) — Schedule configuration for tier downgrades.
  - `strategy` (string, optional) — Schedule strategy type.
  - `durationValue` (integer, optional) — Duration value for the schedule.
  - `durationUnit` (enum, optional) — Duration unit for the schedule.
    - Allowed values: `day`, `week`, `month`, `year`
  - `durationModifier` (enum, optional) — Modifier for the duration.
    - Allowed values: `start_of_period`, `end_of_period`
  - `scheduledDate` (string, optional) — Scheduled date in DD/MM format.

## Errors

### 401 Unauthorized Error

Request Authentication Failed

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 403 Forbidden Error

Cannot Authenticate Request

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 404 Not Found Error

Not Found

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 422 Unprocessable Entity Error

Validation errors

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 500 Internal Server Error

Internal error occurred

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

## Examples

**Response**

```json
{
  "createdAt": "2024-01-15T09:30:00Z",
  "downgradeStrategy": "real_time",
  "id": "string",
  "loyaltyProgramId": "string",
  "name": "string",
  "tierOrder": [],
  "updatedAt": "2024-01-15T09:30:00Z",
  "upgradeStrategy": "real_time",
  "upgradeSchedule": {
    "strategy": "string",
    "durationValue": 1,
    "durationUnit": "day",
    "durationModifier": "start_of_period",
    "scheduledDate": "string"
  },
  "downgradeSchedule": {
    "strategy": "string",
    "durationValue": 1,
    "durationUnit": "day",
    "durationModifier": "start_of_period",
    "scheduledDate": "string"
  }
}
```

**SDK Code**

```typescript
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.tier.getTierGroup({
        pid: "pid",
        gid: "gid",
    });
}
main();

```

```python
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.tier.get_tier_group(
    pid="pid",
    gid="gid",
)

```

```php
<?php

namespace Example;

use Brevo\Brevo;
use Brevo\Tier\Requests\GetTierGroupRequest;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->tier->getTierGroup(
    'pid',
    'gid',
    new GetTierGroupRequest([]),
);

```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/loyalty/tier/programs/pid/tier-groups/gid"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/loyalty/tier/programs/pid/tier-groups/gid")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.brevo.com/v3/loyalty/tier/programs/pid/tier-groups/gid")
  .header("api-key", "<apiKey>")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/loyalty/tier/programs/pid/tier-groups/gid");
var request = new RestRequest(Method.GET);
request.AddHeader("api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/loyalty/tier/programs/pid/tier-groups/gid")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```